dartivity_messaging 1.0.0

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 55

dartivity_messaging

The messaging component of the Dartivity IOT suite.

This component provides the interface to Google's pub/sub service using the Dartivity Message class. This is a simple interface that can be used by any Dartivity components to perform the messaging function, such as Dartivty clients, and Dartivity messaging only clients.

The component can also be used as a Dartivity messaging interface in stand alone bridge applications, e.g from existing dart based IOT packages.

Currently only whoHas and IHave messages are implemented however this will be expanded upon as the Dartivity suite is expanded.

See the individual classes for more information.

1.0.0

  • Dart 2.0 updates

0.1.0

  • Initial version

example/example.dart

/*
 * Package : dartivity_messaging
 * Author : S. Hamblett <steve.hamblett@linux.com>
 * Date   : 04/09/2018
 * Copyright :  S.Hamblett 2018
 */

/// This package is a plugin/support package for the Dartivity IOT suite,
/// as such it has no specific standalone usage examples. See the test
/// suite for instantiation details.
int main() {
  return 0;
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dartivity_messaging: ^1.0.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:dartivity_messaging/dartivity_messaging.dart';
  
Version Uploaded Documentation Archive
1.0.0 Sep 4, 2018 Go to the documentation of dartivity_messaging 1.0.0 Download dartivity_messaging 1.0.0 archive
0.1.0 Dec 1, 2015 Go to the documentation of dartivity_messaging 0.1.0 Download dartivity_messaging 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
10
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
55
Learn more about scoring.

We analyzed this package on Sep 18, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.3

Platforms

Detected platforms: Flutter, other

Primary library: package:dartivity_messaging/dartivity_messaging.dart with components: io.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev <3.0.0
crypto >=2.0.1 <3.0.0 2.0.6
gcloud ^0.6.0+1 0.6.0+1
googleapis_auth ^0.2.5+2 0.2.5+2
json_object_lite ^2.0.0 2.0.0
Transitive dependencies
_discoveryapis_commons 0.1.8
async 2.0.8
charcode 1.1.2
collection 1.14.11
convert 2.0.2
googleapis 0.52.0
googleapis_beta 0.47.0
http 0.11.3+17
http_parser 3.1.3
meta 1.1.6
path 1.6.2
source_span 1.4.1
string_scanner 1.0.4
typed_data 1.1.6
Dev dependencies
build_runner ^0.10.0
build_test ^0.10.2
build_web_compilers ^0.4.0
coverage ^0.12.2
dart_style ^1.1.3
dartdoc ^0.20.3
test ^1.3.0